@tool
class_name AreaHasBodies extends ConditionLeaf
## Does the given Area3D have any overlapping bodies?

## Area3D to check for overlapping bodies.
@export var area: Area3D


func tick(_actor: Node, _blackboard: Blackboard) -> int:
	area.get_overlapping_bodies()
	return SUCCESS if area.has_overlapping_bodies() else FAILURE
